/* $Id: mga1064_dac.h,v 1.4 1998/11/02 04:39:00 brian Exp $
******************************************************************************

   Matrox Mystique (1064sg) -- special functions

   Copyright (C) 1997		Jonas Borgstrm
   Copyright (C) 1997		Hartmut Niemann
   Copyright (C) 1997           Matthias Grimrath

   Permission is hereby granted, free of charge, to any person obtaining a
   copy of this software and associated documentation files (the "Software"),
   to deal in the Software without restriction, including without limitation
   the rights to use, copy, modify, merge, publish, distribute, sublicense,
   and/or sell copies of the Software, and to permit persons to whom the
   Software is furnished to do so, subject to the following conditions:

   The above copyright notice and this permission notice shall be included in
   all copies or substantial portions of the Software.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
   THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
   IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
   CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

******************************************************************************
*/

#ifndef _MGA1064_DAC_H_
#define _MGA1064_DAC_H_

/* Read/Write to internal DAC */
void EDAC_out8(struct kgi_display *dpy, kgiu8 val, kgiu8 reg);
kgiu8 EDAC_in8(struct kgi_display *dpy, kgiu8 reg);

void dac_set_clut(struct kgi_display *dpy, kgi_clut *clut,
		  kgi_uint first, kgi_uint cnt);
void dac_get_clut(struct kgi_display *dpy,
		  kgi_clut *clut, kgi_uint first, kgi_uint cnt);

#endif /* _MGA1064_DAC_H_ */
